﻿@model PagedList.IPagedList<SYM.DataAccessLayer.v_mountain_index>
@using PagedList.Mvc;

@{
    ViewBag.Title = SYM.Localization.Resources.Views.Mountain.Index.Title;
    ViewBag.Page = null;
}
@section customCss4Page{
    <link href="~/Content/themes/m1/assets/pages/css/search.css" rel="stylesheet" type="text/css">
}


<div class="search-page search-content-1 margin-bottom-20">
    <div class="search-bar bordered">
        <div class="row">
            @using (Html.BeginForm("Search", "Mountain", FormMethod.Post, new { @class = "", role = "form" }))
            {
                <div class="col-md-12">
                    <div class="input-group">
                        <div class="input-group-btn">
                            <button type="button" class="btn dropdown-toggle filter" data-toggle="dropdown">
                                <span id="countrycode" style="color: #3598dc;font-weight: bold;">@ViewBag.CountryCode</span>
                                <i class="fa fa-angle-down"></i>
                            </button>
                            <ul class="dropdown-menu">
                                <li class="country-opt" data-countryid="116" data-countrycode="IT">
                                    <a href="javascript:;"><img alt="" src="/Content/themes/m1/assets/global/img/flags/it.png"> ITALIA</a>
                                </li>
                                <li class="country-opt" data-countryid="217" data-countrycode="CH">
                                    <a href="javascript:;"><img alt="" src="/Content/themes/m1/assets/global/img/flags/ch.png"> SVIZZERA </a>
                                </li>
                                <li class="country-opt" data-countryid="65" data-countrycode="FR">
                                    <a href="javascript:;"><img alt="" src="/Content/themes/m1/assets/global/img/flags/fr.png"> FRANCIA</a>
                                </li>
                            </ul>
                        </div>
                        <!-- /btn-group -->
                        <input type="text" class="form-control" name="mntn_name" placeholder="Cerca per nome o gruppo tra @ViewBag.Count montagne - ..." value="@ViewBag.Mountain" required="required">
                        <input type="hidden" class="form-control" name="country" id="country" value="@ViewBag.Country">
                        <span class="input-group-btn">
                            <button class="btn blue uppercase bold" type="submit"><i class="fa fa-search"></i></button>
                        </span>
                    </div>

                </div>
            }
        </div>
    </div>
    @if (Model.ToList().Count > 0)
    {
        <div class="row">
            <div class="col-md-12">
                <div class="search-container bordered">
                    <ul>
                        @foreach (var item in Model)
                        {
                            <li class="search-item clearfix">
                                <a href="@Url.Action("Details","Mountain").Replace("Details","")@item.id-@item.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")">
                                    <div style="height: 100px; overflow: hidden; background: url(http://maps.googleapis.com/maps/api/staticmap?center=@Html.DisplayFor(modelItem => item.lat).ToString().Replace(",", "."),@Html.DisplayFor(modelItem => item.lng).ToString().Replace(",", ".")&amp;size=100x100&amp;sensor=true&amp;zoom=9&amp;markers=size:mid%7Ccolor:0xff0000%7Clabel:M%7C@(Html.DisplayFor(modelItem => item.lat).ToString().Replace(",", ".")),@(Html.DisplayFor(modelItem => item.lng).ToString().Replace(",", "."))) no-repeat 50% 50%;">
                                    </div>
                                </a>
                                <div class="search-content">
                                    <h2 class="search-title">
                                        <a href="@Url.Action("Details","Mountain").Replace("Details","")@item.id-@item.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")" class="uppercase">
                                            @Html.DisplayFor(modelItem => item.mntn_name)
                                        </a>
                                        - <small><b>@Html.DisplayFor(modelItem => item.mntn_altitude) m.</b></small>
                                    </h2>
                                    <p class="search-desc">
                                        <b>@Html.DisplayFor(modelItem => item.mntnRange_name)</b> - @Html.DisplayFor(modelItem => item.mntnGroup_name)
                                        <br />
                                        <span>Info:</span>
                                        @if (item.coordinates == 1)
                                        {
                                            <a href="https://www.openstreetmap.org/#map=13/@item.lat.ToString().Replace(',','.')/@item.lng.ToString().Replace(',','.')" target="_blank"><i class="fa fa-globe"></i></a>
                                        }
                                        @if (item.wikipedia == 1)
                                        {
                                            <i class="fa fa-wikipedia-w"></i>
                                        }
                                        <br />
                                        @if (item.count > 0)
                                        {
                                            <span>Itinerari:</span> <span class="badge badge-success badge-roundless tooltips" data-container="body" data-placement="bottom" data-original-title="@item.count routes">@item.count</span>
                                        } - Clicks: @item.countview

                                    </p>
                                </div>
                            </li>
                        }
                    </ul>
                    <div class="search-pagination">
                        <div class="pagination">
                            @Html.PagedListPager(Model, page => Url.Action("Search", new { page, sortOrder = ViewBag.CurrentSort, _mntn = ViewBag.Mountain, _country = ViewBag.Country, _r = ViewBag.Region }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
    else {
        <div role="row" class="margin-top-20">
            <p class="text-center">
                <img src="~/Content/themes/m1/assets/layouts/layout4/img/icon_cactus.png">
            </p>
            <p class="text-center bold">
                @SYM.Localization.Resources.Views.Mountain.Index.Message_NotFound
            </p>
            @if (Request.IsAuthenticated)
            {
                <p class="text-center bold">
                    <a href="@Url.Action("_Create", "Mountain")" data-target="#myModal">@SYM.Localization.Resources.Views.Mountain.Index.Message_NotFound_Link</a>
                </p>
            }
        </div>
    }
</div>

<div class="row">
    <div class="col-md-12 col-sm-12">
        <!-- BEGIN PORTLET-->
        <div class="portlet light bordered">
            <div class="portlet-title tabbable-line">
                <div class="caption">
                    <i class="icon-globe font-dark hide"></i>
                    <span class="caption-subject font-dark bold uppercase">@SYM.Localization.Resources.Views.Feed.Global.Feed</span>
                </div>
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#tab_1_1" class="active" data-toggle="tab"> @SYM.Localization.Resources.Views.Feed.Global.Topos</a>
                    </li>
                    <li>
                        <a href="#tab_1_2" data-toggle="tab" id="tab_user"> @SYM.Localization.Resources.Views.Feed.Global.Users </a>
                    </li>
                    <li>
                        <a href="#tab_1_3" data-toggle="tab" id="tab_images"> @SYM.Localization.Resources.Views.Feed.Global.Images</a>
                    </li>
                    <li>
                        <a href="#tab_1_4" data-toggle="tab" id="tab_stats"> @SYM.Localization.Resources.Views.Feed.Global.Stats</a>
                    </li>
                </ul>
            </div>
            <div class="portlet-body">
                <!--BEGIN TABS-->
                <div class="tab-content">
                    <div class="tab-pane active" id="tab_1_1">
                    </div>
                    <div class="tab-pane" id="tab_1_2">
                    </div>
                    <div class="tab-pane" id="tab_1_3">
                    </div>
                    <div class="tab-pane" id="tab_1_4">
                    </div>
                </div>
                <!--END TABS-->
            </div>
        </div>
        <!-- END PORTLET-->
    </div>
</div>

@section ExtraPluginJS{
    @Scripts.Render("~/content/themes/m1/assets/plugins/pagedetails/js")
}
@section ScriptOnReady {
    $.ajax({
    url: "/Feed/_Routes",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_1').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });

    $('#tab_user').one('click', function (e) {
    $.ajax({
    url: "/Feed/_Users",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_2').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });
    });

    $('#tab_stats').one('click', function (e) {
    $.ajax({
    url: "/Feed/_Stats",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_4').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });
    });

    $('#tab_images').one('click', function (e) {
    $.ajax({
    url: "/Feed/_Images",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_3').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });
    });

    $(".country-opt").click(function() {
         var id = $(this).attr("data-countryid");
         var code = $(this).attr("data-countrycode");
        $("#country").val(id);
        $("#countrycode").html(code);
    });
}
